Subject: [KEYPROV] Summary of draft-doherty-keyprov-dskpp-01 changes

From: "Doherty, Andrea" <[email-masked]>
Date: Thu, 12 Jul 2007 13:48:47 -0400

The following summarizes changes between the -01 and -00 versions of
draft-doherty-keyprov-dskpp:

1. General:
*	The recent draft-doherty-keyprov-dskpp-01 protocol draft
submission incorporated nearly all feedback to -00 review that was
received on the KEYPROV mailing list (i.e., from Mingliang Pei, Salah
Machani, Ulrike Meyer, Niklas Neumann, Shah Chang, and Hannes
Tschofenig).
2. Editorial:
*	Intended status changed from "Informational" to "Standards
Track"
*	Order of authors changed in order of current activity
*	Abstract was expanded to:
*	Better describe protocol variants.  
*	Note on Informational RFC4758 was added.
*	Scope (Section 1.1) was reworded
*	Background (Section 1.2) was reworded and expanded to better
describe rationale for using different protocol variants.
*	Document Organization section removed 
*	Acronyms removed, and definition of terms added/modified
*	Use Cases were moved to a new Section (3.0).  These were
reworded such that requirements language was removed, and use cases were
reordered in terms of most typical to least typical.
*	Requirements were moved to Appendix.  New ones were added that
were missing from -00 version (esp. regarding validity time period and
provisioning via SMS)
*	HTTP Binding: Reworded to remove redundancies
3. Terminology changes across the document:
*	"cryptographic token" was replaced by "cryptographic module" to
avoid confusion the former term raises
*	The ambiguous phrase "direct communication" was removed
*	The ambiguous phrase "connected" was replaced by "locally and
remotely accessible"
*	"Secret Container" was replaced with "Key Container"
*	"SHALL" was replaced with "MUST"
4. DSKPP, Entities, subsection: New object model was added to clarify
terminology
5. DSKPP, Principles of Operation: Added table that maps DSKPP use cases
to protocol variants
6. DSKPP, Four-pass: Expanded description to include new entities as of
-00 version
7. DSKPP, Two-pass: 
*	Expanded to describe steps in more detail
*	Identification and description of key initialization profiles
was added
8. DSKPP, One-pass: Expanded to describe steps in more detail, and to
reference key initialization profiles
9. Authentication, Client AuthN, One-time Use AuthenticationData:
Computation was corrected to not require a server nonce in the scenario
wherein underlying transport layer is not secure for a two-pass protocol
run.

--Andrea

_______________________________________________
KEYPROV mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/keyprov